Bug 427805 - VGCreateError: vgcreate failed creating vg "VolGroup00" (PESize=32768kB) on PVs: /dev/mapper/luks-sdc1 /dev/mapper/luks-sdc1 /dev/mapper/luks-sdc1
VGCreateError: vgcreate failed creating vg "VolGroup00" (PESize=32768kB) on P...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 12:10 EST by James Laska
Modified: 2013-09-02 02:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 11:47:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anacdump.txt (488.77 KB, text/plain)
2008-01-07 12:10 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2008-01-07 12:10:40 EST
Description of problem:

Attempting a manual VNC installation results in traceback when attempting to
format disk.

Version-Release number of selected component (if applicable):

rawhide-20080107 (anaconda-11.4.0.16-1)

How reproducible:

100%

Steps to Reproduce:
1. Boot installer
2. Unable to start graphical install, it prompts for text or VNC, select VNC
3. Choose defaults and proceed to partitioning step.
4. Select "Encrypt File system"
5. Select Next
6. Select OK at prompt to write changes to disk
  
Actual results:

anaconda 11.4.0.16 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 250, in vgcreate
    raise VGCreateError(vgname, PESize, nodes)
  File "/usr/lib/anaconda/fsset.py", line 2447, in setupDevice
    lvm.vgcreate(self.name, self.physicalextentsize, nodes)
  File "/usr/lib/anaconda/fsset.py", line 1768, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/packages.py", line 164, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 132, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/gui.py", line 1329, in keyRelease
    self.nextClicked()
VGCreateError: vgcreate failed creating vg "VolGroup00" (PESize=32768kB) on PVs:
/dev/mapper/luks-sdc1 /dev/mapper/luks-sdc1 /dev/mapper/luks-sdc1
Log:
   Wiping cache of LVM-capable devices
   Adding physical volume '/dev/mapper/luks-sdc1' to volume group 'VolGroup00'
   Adding physical volume '/dev/mapper/luks-sdc1' to volume group 'VolGroup00'
   Physical volume '/dev/mapper/luks-sdc1' listed more than once.
   Unable to add physical volume '/dev/mapper/luks-sdc1' to volume group
'VolGroup00'.


Expected results:

Successfully write disk changes and proceed to next %step in the installer

Additional info:

See attached anacdump.txt
Comment 1 James Laska 2008-01-07 12:10:40 EST
Created attachment 290985 [details]
anacdump.txt
Comment 2 James Laska 2008-01-07 12:26:00 EST
Additional info:

Proceeds without traceback when I de-select "Encrypt Filesystem"
Comment 3 David Lehman 2008-01-09 11:47:16 EST
Fixed in rawhide (anaconda-11.4.0.18-1).

Note You need to log in before you can comment on or make changes to this bug.